<?php

/*
Plugin Name: IMTimeSavers - WPMarketingGraphics
Plugin URI: http://www.imtimesavers.com
Description: Instantly Add Lots of Marketing Graphics To WordPress.
Author: IMTimeSavers.com
Version: 2.1
Author URI: http://www.imtimesavers.com
*/

add_action('admin_head', 'itswpmgraphics_add_my_tc_button');
add_action('admin_enqueue_scripts', 'itswpmgraphics_tc_css');

define('itsgraphics_imgfolder',plugins_url('/images/',__FILE__));

function itswpmgraphics_add_my_tc_button() {
    global $typenow;

    if ( !current_user_can('edit_posts') && !current_user_can('edit_pages') ) {
   	return;
    }
   
     
	if ( get_user_option('rich_editing') == 'true') {
		add_filter("mce_external_plugins", "itswpmgraphics_add_tinymce_plugin");
		add_filter('mce_buttons', 'itswpmgraphics_register_my_tc_button');
	}
}

function itswpmgraphics_add_tinymce_plugin($plugin_array) {
   	$plugin_array['itswpmgraphics_tc_button'] = plugins_url( '/complex-popup-button.js', __FILE__ ); // CHANGE THE BUTTON SCRIPT HERE
   	return $plugin_array;
}

function itswpmgraphics_register_my_tc_button($buttons) {
   array_push($buttons, "itswpmgraphics_tc_button");
   return $buttons;
}

function itswpmgraphics_tc_css() {
	wp_enqueue_style('wsalestoolbox-tc', plugins_url('/style.css', __FILE__));
}

//shortcode


function itswpmgraphics_shortcode( $atts, $content = null ) {

 extract( shortcode_atts( array(
    'image' => ''	,
	'url' => '',
	'newwindow' => ''
  ), $atts ) );

  
  $itswpmgraphics_images = plugins_url('/images/',__FILE__);
  
  if ($url ==""){
	$itswpmgraphics_code = "<img src='". $itswpmgraphics_images .  $image .".jpg'>" ;
  }else{
		
		if ($newwindow == 'true'){	
			$itswpmgraphics_code = "<a href='$url' target='_blank'><img src='". $itswpmgraphics_images .  $image .".jpg'></a>" ;	
		}else{
			$itswpmgraphics_code = "<a href='$url'><img src='". $itswpmgraphics_images .  $image .".jpg'></a>" ;	
		}
  
  }
  
 
 return $itswpmgraphics_code;
 
  
}

add_shortcode( 'itsgraphics', 'itswpmgraphics_shortcode' );



